Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.KeyGen Property
SecondaryDatabaseConfig Class See Also Send Feedback

The delegate that creates the set of secondary keys corresponding to a given primary key and data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public SecondaryKeyGenDelegate KeyGen { get; set; }

Visual Basic (Declaration)
    Public Property KeyGen As SecondaryKeyGenDelegate

Visual C++
    public:
    property SecondaryKeyGenDelegate^ KeyGen {
    	SecondaryKeyGenDelegate^ get ();
    	void set (SecondaryKeyGenDelegate^ value);
    }

# Remarks

KeyGen may be null if both Primary.ReadOnly and ReadOnly are true.

# See Also

SecondaryDatabaseConfig Class
BerkeleyDB Namespace